%define name alarm-clock
%define version 1.4.1
%define release %mkrel 1

Summary:        Alarm Clock for the GNOME desktop
Summary(de):    Wecker für den GNOME-Desktop
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPLv3
URL:            http://alarm-clock.pl/
Source:         http://alarm-clock.pl/%{name}-%{version}.tar.xz
Group:          Graphical desktop/GNOME
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  glib2-devel 
BuildRequires: intltool
BuildRequires:  gtk2-devel
BuildRequires: GConf2-devel
BuildRequires: libglade2.0_0-devel
BuildRequires: libgstreamer0.10_0.10-devel
BuildRequires: libgnomeui2_0-devel
BuildRequires: libnotify-devel
BuildRequires: gnome-panel-devel
Requires: pygtk2.0
Requires: gstreamer0.10-plugins-base
Requires: pyinotify
Obsoletes:	%name < %version

%description
Alarm Clock is a small alarm panel applet developed in Python
for GNOME/GTK desktop environments. It supports sound fading,
scheduled alarms, snooze option, passive window reminders,
exception lists for scheduled alarms, exporting alarms
and much more!

%description -l de
Alarm Clock ist ein privater Wecker für die GNOME-Desktopumgebung.
Er unterstützt Soundübergänge, passive und normale Dialoge, Vollbilddialoge
Weckpläne, Kommandozeilenaufrufe und einige Standardaktionen. 

#french
%description -l fr
Alarm Clock est une petite applet panneau d'alarme développé en Python
pour GNOME / GTK environnements de bureau. Il soutient la décoloration du son,
prévue alarmes, option snooze, rappels fenêtre passive,
des listes d'exceptions pour les alarmes programmées, l'exportation des alarmes
et beaucoup plus!

#spanish
%description -l es
Alarm Clock es un pequeño applet de panel de alarma desarrollado en Python
para GNOME / GTK entornos de escritorio. Es compatible con la decoloración de sonido,
las alarmas programadas, opción de despertador, recordatorios ventana pasiva,
listas de excepciones para las alarmas programadas, alarmas de exportación
y mucho más!

#polish
%description -l pl
Budzik jest mały applet panelu alarm opracowane w Pythonie
dla GNOME / GTK środowisku graficznym. Obsługuje dźwięk blaknięcie,
zaplanowane alarmów, opcja drzemki, pasywne przypomnienia oknie
list wyjątkiem regularnych alarmy, wywozu alarmy
i wiele więcej!

#serbian
%description -l sr
Аларм је аларм, мали панела развијен у Пытхон
за ГНОМЕ / ГТК + десктоп окружења. Он подржава звучне бледи,
заказана аларма, могућност обнављања, пасивно прозор подсетнике,
Изузетно листе заказана за аларме, аларме извоз
и још много тога!

#dutch
%description -l nl
Alarm Clock is een klein alarm panel applet ontwikkeld in Python
voor GNOME / GTK desktop omgevingen. Het ondersteunt geluid vervagen,
gepland alarm, snooze-optie, passieve venster herinneringen,
uitzondering lijsten voor geplande alarmen, alarmen exporteurs
en nog veel meer!


%prep
%setup -n %{name}-%{version}

%build
%configure2_5x
   
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 
desktop-file-install --vendor="" \
  --remove-category="Utility" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 src/gfx/alarm-clock.png $RPM_BUILD_ROOT%{_datadir}/pixmaps

%find_lang %{name}

%post
%update_menus
		
%postun
%clean_menus


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS ChangeLog 
%ghost %_datadir/doc/%{name}
%_bindir/%{name}
%_datadir/icons/
%_datadir/pixmaps/%{name}.png
%_datadir/%{name}
%_datadir/applications/%{name}.desktop

%changelog
* Mon Jul 05 2010 slick50 <lxgator@gmail.com> 1.4.1-1pclos2010
- 1.4.1

* Mon May 31 2010 slick50 <lxgator@gmail.com> 1.4-1pclos2010
- 1.4

* Mon Jan 11 2010 slick50 <lxgator@gmail.com> 1.3-1pclos2010
- 1.3

* Mon Nov 16 2009 slick50 <lxgator@gmail.com> 1.2.5-1pclos2010
- 1.2.5

* Thu Oct 01 2009 slick50 <lxgator@gmail.com> 1.2.4-1pclos2010
- 1.2.4

* Mon Sep 07 2009 slick50 <lxgator@gmail.com> 1.2.3-2pclos2009
- add patch0,1

* Wed Aug 05 2009 slick50 <lxgator@gmail.com> 1.2.2-1pclos2009
- 1.2.2

* Wed Jul 29 2009 slick50 <lxgator@gmail.com> 1.2.1-1pclos2009
- initial pkg
